﻿/**
* ******************************************************
*                                                       *
*   Copyright (C) Microsoft. All rights reserved.       *
*                                                       *
*******************************************************
*/
/// <reference path="../../typings/node.d.ts" />
/// <reference path="../../typings/Q.d.ts" />
/// <reference path="../../typings/nconf.d.ts" />
/// <reference path="../../typings/vcremote-utils.d.ts" />
/// <reference path="../../typings/express.d.ts" />
/// <reference path="../../typings/express-extensions.d.ts" />
"use strict";
var vcRemoteLib = require("vcremote-lib");

var LanguageSpecifics;
(function (LanguageSpecifics) {
    function init(conf) {
        vcRemoteLib.getLanguageSpecifics().init(conf);
    }
    LanguageSpecifics.init = init;

    function getLanguageSpecifics(req) {
        return vcRemoteLib.getLanguageSpecifics();
    }
    LanguageSpecifics.getLanguageSpecifics = getLanguageSpecifics;

    function close() {
        vcRemoteLib.getLanguageSpecifics().close();
    }
    LanguageSpecifics.close = close;
})(LanguageSpecifics || (LanguageSpecifics = {}));

module.exports = LanguageSpecifics;
